export class OrganizationDecorator {
    organizationId;
    decorated;
    factories;
    constructor(decorated, factories) {
        this.decorated = decorated;
        this.factories = factories;
        this.organizationId = decorated.organizationId;
    }
    getDescriptor(includeAdditionalDetails) {
        return this.decorated.getDescriptor(includeAdditionalDetails);
    }
    updateDescriptor(descriptor) {
        return this.decorated.updateDescriptor(descriptor);
    }
    securitySettings() {
        const { securitySettings } = this.factories;
        if (securitySettings) {
            return securitySettings(this.decorated.securitySettings());
        }
        return this.decorated.securitySettings();
    }
    styling() {
        return this.decorated.styling();
    }
    settings() {
        return this.decorated.settings();
    }
    users() {
        return this.decorated.users();
    }
    permissions() {
        return this.decorated.permissions();
    }
    notificationChannels() {
        return this.decorated.notificationChannels();
    }
    llmEndpoints() {
        return this.decorated.llmEndpoints();
    }
    notifications() {
        return this.decorated.notifications();
    }
}
//# sourceMappingURL=organization.js.map